var Langs = {
    en : {
        "wayd" : "What are you doing?",
        "ca"   : "Characters available",
        "set"  : "Settings",
        "un"   : "username",
        "pw"   : "password",
        "ar"   : "Auto Refresh",
        "per"  : "per",
        "min"  : "minutes",
        "to"   : "Timeout",
        "sec"  : "seconds",
        "ear"  : "Enable Auto Refresh",
        "lang" : "Languages",
        "save" : "Save",
        "abt"  : "About"
    },    
	hu : {
        "wayd" : "Mit csinálsz éppen?",
        "ca"   : "Hátralévő karakterek",
        "set"  : "Beállítások",
        "un"   : "felhasználónév",
        "pw"   : "jelszó",
        "ar"   : "Automatikus újratöltés",
        "per"  : "újratöltés",
        "min"  : "percenként",
        "to"   : "Időtúllépés",
        "sec"  : "másodperc",
        "ear"  : "Automatikus újratöltés engedélyezése",
        "lang" : "Nyelvek",
        "save" : "Mentés",
        "abt"  : "Twippera névjegye"
    },
    ja : {
        "wayd" : "何してるの?",
        "ca"   : "残り文字数",
        "set"  : "設定",
        "un"   : "ユーザネーム",
        "pw"   : "パスワード",
        "ar"   : "自動更新",
        "per"  : "",
        "min"  : "分おき",
        "to"   : "タイムアウト",
        "sec"  : "秒",
        "ear"  : "自動更新を有効にする",
        "lang" : "言語",
        "save" : "保存",
        "abt"  : "Twippera について"
    },
    es : {
        "wayd" : "¿Qué estas haciendo?",
        "ca"   : "Caracteres disponibles",
        "set"  : "Configuración",
        "un"   : "Nombre de usuario",
        "pw"   : "Contraseña",
        "ar"   : "Recargado automático",
        "per"  : "cada",
        "min"  : "minutos",
        "to"   : "Tiempo límite",
        "sec"  : "segundos",
        "ear"  : "Activar recargado automático",
        "lang" : "Lenguajes",
        "save" : "Guardar",
        "abt"  : "Acerca de"
    },
    lt : {
        "wayd" : "Ką darai?",
        "ca"   : "Likę simboliai",
        "set"  : "Nustatymai",
        "un"   : "Slapyvardis",
        "pw"   : "Slaptažodis",
        "ar"   : "Automatinis atnaujinimas",
        "per"  : "Kas",
        "min"  : "Minutės",
        "to"   : "Pertraukelė",
        "sec"  : "secundes",
        "ear"  : "Įgalinti automatišką atnaujinimą",
        "lang" : "Kalbos",
        "save" : "Saugoti",
        "abt"  : "Apie"
    },
    ru : {
        "wayd" : "×òî âû äåëàåòå?",
        "ca"   : "Îñòàëîñü ñèìâîëîâ",
        "set"  : "Íàñòðîéêè",
        "un"   : "ëîãèí",
        "pw"   : "ïàðîëü",
        "ar"   : "Àâòîîáíîâëåíèå",
        "per"  : "ðàç â",
        "min"  : "ìèíóò",
        "to"   : "Òàéìàóò",
        "sec"  : "ñåêóíä",
        "ear"  : "Âêëþ÷èòü àâòîîáíîâëåíèå",
        "lang" : "ßçûêè",
        "save" : "Ñîõðàíèòü",
        "abt"  : "Î âèäæåòå"
    },
    it : {
        "wayd" : "Cosa stai facendo?",
        "ca"   : "Caratteri rimanenti",
        "set"  : "Preferenze",
        "un"   : "nome utente",
        "pw"   : "password",
        "ar"   : "Auto caricamento",
        "per"  : "ogni",
        "min"  : "minuti",
        "to"   : "Tempolimite",
        "sec"  : "secondi",
        "ear"  : "Abilita Auto Caricamento",
        "lang" : "Lingue",
        "save" : "Salva",
        "abt"  : "Informazioni"
    },
    pt : {
        "wayd" : "O que esta fazendo",
        "ca"   : "Caractéres Disponíveis",
        "set"  : "Configurações",
        "un"   : "Usuário",
        "pw"   : "Senha",
        "ar"   : "Atualização Automática",
        "per"  : "Por",
        "min"  : "Minutos",
        "to"   : "Tempo Esgotado",
        "sec"  : "Segundos",
        "ear"  : "Habilitar Atualização Automática",
        "lang" : "Linguagens",
        "save" : "Salvar",
        "abt"  : "Sobre"
    },
    sp_ch : {
        "wayd" : "写点儿什么?",
        "ca"   : "剩余字数",
        "set"  : "设置",
        "un"   : "用户名",
        "pw"   : "密码",
        "ar"   : "自动刷新",
        "per"  : "每隔",
        "min"  : "分钟",
        "to"   : "超时",
        "sec"  : "秒",
        "ear"  : "激活自动刷新",
        "lang" : "语言",
        "save" : "保存",
        "abt"  : "关于"
    }
};

var localeIndex = {
    "en" : 0,
    "ja" : 1,
    "es" : 2,
    "hu" : 3,
    "lt" : 4,
    "ru" : 5,
    "it" : 6,
    "pt" : 7,
    "sp_ch" : 8
};

var SPLangs = {
    update : {
        en : "New Version Avalilable",
        ja : "新しいヴァージョンがリリースされています",
        es : "Nueva versión disponible",
        hu : "Új verzió érhető el",
        lt : "Išleista nauja versija",
        ru : "Äîñòóïíà íîâàÿ âåðñèÿ",
        it : "Nuova Versione Disponibile",
        pt : "Nova Versão Disponíve",
        sp_ch : "发现新版本"
    },
    download : {
        en : "Download",
        ja : "ダウンロード",
        es : "Descarga",
        hu : "Letöltés",
        lt : "Parsisiųsti",
        ru : "Ñêà÷àòü",
        it : "Scarica",
        pt : "Baixar",
        sp_ch : "下载"
    },
    ok : {
        en : "OK",
        ja : "うん",
        es : "OK",
        hu : "OK",
        lt : "OK",
        ru : "OK",
        it : "OK",
        pt : "OK",
        sp_ch : "OK"
    },
    cancel : {
        en : "Cancel",
        ja : "いいえ",
        es : "Cancelar",
        hu : "Mégse",
        lt : "Saugoti",
        ru : "Îòìåíà",
        it : "Annulla",
        pt : "Cancelar",
        sp_ch : "取消"
    },
    close : {
        en : 'Close',
        ja : '閉じる',
        es : "Cerrar",
		hu : "Bezárás",
        lt : "Uždaryti",
        ru : "Çàêðûòü",
        it : "Chiudi",
        pt : "Fechar",
        sp_ch : "关闭"
    },
    timeout : {
        en : 'Connection timeout',
        ja : '接続がタイムアウトしました',
        es : 'Tiempo límite de conexión superado',
		hu : "A kapcsolat túllépte az időkorlátot",
        lt : "", //need
        ru : "Òàéìàóò ñîåäèíåíèÿ",
        it : "Fine tempo di connessione",
        pt : "Tempo de Conexão Esgotado",
        sp_ch : "连接超时"
    },
    about : {
        en : 'About',
        ja : 'Twippera について',
        es : 'Acerca de',
		hu : "Névjegy",
        lt : "Apie",
        ru : "Î âèäæåòå",
        it : "Informazioni",
        pt : "Sobre",
        sp_ch : "关于"
    },
    version : {
        en : 'Version',
        ja : 'ヴァージョン',
        es : 'Versión',
		hu : "Verzió",
        lt : "Versija",
        ru : "Âåðñèÿ",
        it : "Versione",
        pt : "Versão",
        sp_ch : "版本"
    },
    author : {
        en : 'Author',
        ja : '製作',
        es : 'Autor',
		hu : "Készítő",
        lt : "Autorius",
        ru : "Àâòîð",
        it : "Autore",
        pt : "Autor",
        sp_ch : "作者"
    },
    design : {
        en : 'Design',
        ja : 'デザイン',
        es : 'Diseño',
		hu : "Dizájn",
        lt : "", //need
        ru : "Äèçàéí",
        it : "Grafica",
        pt : "Visual",
        sp_ch : "设计"
    },
    trans : {
        en : 'Translation',
        ja : '翻訳',
        es : 'Traducción',
		hu : "Fordítás",
        lt : "Vertimas",
        ru : "Ïåðåâîä",
        it : "Traduzione",
        pt : "Tradução",
        sp_ch : "翻译"
    },
    less : {
        en : 'less than a minute ago',
        ja : '1 分以内',
        es : 'less than a minute ago', //need
		hu : "kevesebb mint egy perce",
        lt : "mažiau negu minutė prieš",
        ru : "ìåíüøå ìèíóòû íàçàä",
        it : "meno di un minuto fa",
        pt : "a menos de um minuto atrá",
        sp_ch : "刚刚"
    },
    minago : {
        en : ' minute ago',
        ja : ' 分前',
        es : ' minute ago', //need
		hu : " perce",
        lt : " minutę prieš",
        ru : " ìèíóòó íàçàä",
        it : " minuto fa",
        pt : " minuto anterior",
        sp_ch : " 分钟前"
    },
    minsago : {
        en : ' minutes ago',
        ja : ' 分前',
        es : ' minutes ago', //need
		hu : " perce",
        lt : " minutes prieš",
        ru : " ìèíóò íàçàä",
        it : " minuti fa",
        pt : " minutos atrá",
        sp_ch : " 分钟前"
    },
    hrago : {
        en : ' hour ago',
        ja : ' 時間前',
        es : ' hour ago', //need
		hu : " órája",
        lt : " valanda prieš",
        ru : " ÷àñ íàçàä",
        it : " ora fa",
        pt : " hora anterior",
        sp_ch : " 小时前"
    },
    hrsago : {
        en : ' hours ago',
        ja : ' 時間前',
        es : ' hours ago',//need
		hu : " órája",
        lt : " valandos prieš",
        ru : " ÷àñîâ íàçàä",
        it : " ore fa",
        pt : " horas atrá",
        sp_ch : " 小时前"
    }
};
